%global momorel 1
%global gitdate 20090302
%global udev_bindir /lib/udev
%global udev_scriptdir %{udev_bindir}

Summary: Extra rules and tools for udev
Name: udev-extras
Version: 20090226
Release: 0.%{gitdate}.%{momorel}m%{?dist}
License: GPLv2 and GPLv2+
Group: System Environment/Base
URL: http://www.kernel.org/pub/linux/utils/kernel/hotplug/udev.html
# Source from http://git.kernel.org/?p=linux/hotplug/udev-extras.git
Source: %{name}-%{version}-git%{gitdate}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: hwdata
Requires: libudev0 >= 139
BuildRequires: glib2-devel
BuildRequires: hwdata
BuildRequires: libudev-devel >= 139
BuildRequires: libusb-devel
BuildRequires: libxslt
ExclusiveOS: Linux

%description
The udev-extras package contains an additional rules and tools
to create and identify devices.

%prep
%setup -q  

%build
%configure \
	--with-selinux \
	--prefix=%{_prefix} \
	--exec-prefix="" \
	--sysconfdir=%{_sysconfdir} \
	--with-libdir-name=%{_lib} \
	--sbindir="/sbin" 

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# Don't install modem prober for now; that's handled by NM at this time and
# in the future will be handled by ModemManager instead
rm -f %{buildroot}%{udev_bindir}/modem-probe
rm -f %{buildroot}%{_mandir}/man8/modem-probe*.8*
rm -f %{buildroot}%{udev_scriptdir}/rules.d/77-probe-modem-capabilities.rules

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(0644, root, root, 0755)
%doc COPYING TODO 
%attr(0755,root,root) %{udev_bindir}/modem-modeswitch
%attr(0755,root,root) %{udev_bindir}/pci-db
%attr(0755,root,root) %{udev_bindir}/usb-db
%attr(0644,root,root) %{udev_scriptdir}/rules.d/61-option-modem-modeswitch.rules
%attr(0644,root,root) %{udev_scriptdir}/rules.d/70-acl.rules
%attr(0644,root,root) %{udev_scriptdir}/rules.d/78-sound-card.rules
%attr(0644,root,root) %{_mandir}/man8/modem-modeswitch.8*

%changelog
* Sun Mar 15 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (20090226-0.20090302.1m)
- version 20090226
- merge Fedora's changes
 +* Fri Feb 27 2009 Harald Hoyer <harald@redhat.com> 20090226-0.5.20090227git
 +- add dependency for hwdata
 +* Fri Feb 20 2009 Dan Williams <dcbw@redhat.com> 20090125-0.3.20090129git
 +- Remove modem prober; handled elsewhere for now

* Sun Feb  8 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (20090125-0.20090129.1m)
- version 20090125

* Wed Jan 28 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (20081230-0.20090120.1m)
- initial package for Momonga Linux
- import and modify spec file from Fedora devel

* Tue Jan 20 2009 Harald Hoyer <harald@redhat.com> 20081230-0.2.20090120git
- added BuildRequires
- README and ChangeLog left out for now (zero size)
- fixed License

* Tue Jan 20 2009 Harald Hoyer <harald@redhat.com> 20081230-0.1.20090120git
- initial version
